import { ApiInterfaceRx } from '@polkadot/api/types';
import { DerivedVoterPositions } from '../types';
import { Observable } from 'rxjs';
/**
 * @name voterPositions
 * @returns An mapping of all current voter accounts to their voter set and global index.
 * @example
 * <BR>
 *
 * ```javascript
 * api.derive.elections.voterPositions((voters) => {
 *   const { index, setIndex, globalIndex } = voters[ALICE];
 *   console.log(`ALICE is a voter at index ${index} in voter set ${setIndex}, with global index ${globalIndex}.`);
 * });
 * ```
 */
export declare function voterPositions(api: ApiInterfaceRx): () => Observable<DerivedVoterPositions>;
