"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _2 = _interopRequireDefault(require("./"));

// Copyright 2017-2019 @polkadot/rpc-provider authors & contributors
// This software may be modified and distributed under the terms
// of the Apache-2.0 license. See the LICENSE file for details.
describe('WsProvider', () => {
  let provider;
  beforeEach(() => {
    provider = new _2.default('ws://127.0.0.1:1234', false);
  });
  it('calls the handler when found', done => {
    // We need to access the private WsProvider property 'handlers' here which otherwise trigger a tslint error..
    provider.handlers[5] = {
      callback: (_, result) => {
        expect(result).toEqual('test');
        done();
      },
      method: '',
      params: []
    }; // We need to access the private WsProvider property 'onSocketMessage' here which would otherwise trigger a tslint error.

    provider.onSocketMessage(new MessageEvent('test', {
      data: '{"jsonrpc":"2.0","id":5,"result":"test"}'
    }));
  });
});